Studio One 3 says it requires Windows 7

Questions about Wine on Linux
Locked
in3D
Newbie
Newbie
Posts: 4
Joined: Wed Sep 16, 2015 8:25 pm

Studio One 3 says it requires Windows 7

Post by in3D » Wed Sep 16, 2015 8:51 pm

Hi! I'm new to Wine and Linux in general so I'm sorry if my problem could've been solved without coming to the forum.

I downloaded the 64 bit version of Studio One 3 and the installer ran perfectly. When I launch the program though, it says it requires Windows 7 SP1 with Platform Update or later.

In the terminal it says:

Code: Select all

gaib@Gaibys-Laptop:~/.wine/dosdevices/c:/Program Files/PreSonus/Studio One 3$ wine "Studio One.exe"
fixme:shell:SetCurrentProcessExplicitAppUserModelID L"PreSonus.StudioOne": stub
err:secur32:SECUR32_initSchannelSP TLS library not found, SSL connections will fail
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
gaib@Gaibys-Laptop:~/.wine/dosdevices/c:/Program Files/PreSonus/Studio One 3$ 
I looked up all the problems here and found that there are some solutions to the TLS library one. One said to install gnutls and then reinstall Wine. I did that but it did not affect the terminal output.

User avatar
dimesio
Moderator
Moderator
Posts: 12948
Joined: Tue Mar 25, 2008 10:30 pm

Re: Studio One 3 says it requires Windows 7

Post by dimesio » Thu Sep 17, 2015 6:45 am

in3D wrote: I downloaded the 64 bit version of Studio One 3 and the installer ran perfectly. When I launch the program though, it says it requires Windows 7 SP1 with Platform Update or later.
Did you set the Windows version to 7 in winecfg? Another possibility is this could be related to https://bugs.winehq.org/show_bug.cgi?id=37781.

Code: Select all

err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
Do what it says.
I looked up all the problems here and found that there are some solutions to the TLS library one. One said to install gnutls and then reinstall Wine. I did that but it did not affect the terminal output.
Did you also install 32 bit gnutls? You need to. If you are using the Ubuntu packages, another possibility is https://bugs.winehq.org/show_bug.cgi?id=32479.

in3D
Newbie
Newbie
Posts: 4
Joined: Wed Sep 16, 2015 8:25 pm

Re: Studio One 3 says it requires Windows 7

Post by in3D » Thu Sep 17, 2015 11:47 am

Is opening "Configure Wine" the same as editing winecfg? If so I tried it as Windows 7 and 8. Neither worked. Is that bug fixable yet?

So by do what it says do you mean I should just

Code: Select all

sudo apt-get install winbind
?

in3D
Newbie
Newbie
Posts: 4
Joined: Wed Sep 16, 2015 8:25 pm

Re: Studio One 3 says it requires Windows 7

Post by in3D » Fri Sep 18, 2015 3:52 pm

Oh and also the package I installed was called "libgnutls-dev:i386"
I'm not sure if that's 32 or 64 bit.

User avatar
dimesio
Moderator
Moderator
Posts: 12948
Joined: Tue Mar 25, 2008 10:30 pm

Re: Studio One 3 says it requires Windows 7

Post by dimesio » Sat Sep 19, 2015 4:39 pm

in3D wrote:Is opening "Configure Wine" the same as editing winecfg? If so I tried it as Windows 7 and 8. Neither worked. Is that bug fixable yet?

So by do what it says do you mean I should just

Code: Select all

sudo apt-get install winbind
?
Yes to both questions.

in3D
Newbie
Newbie
Posts: 4
Joined: Wed Sep 16, 2015 8:25 pm

Re: Studio One 3 says it requires Windows 7

Post by in3D » Sat Sep 19, 2015 5:01 pm

OK so installing winbind removed an issue but the other two still prevent it from opening.

stefanovic
Newbie
Newbie
Posts: 1
Joined: Sun Oct 18, 2015 7:01 am

Re: Studio One 3 says it requires Windows 7

Post by stefanovic » Sun Oct 18, 2015 7:20 am

Hello,

I'm running into the same problem on my mac, with wine 1.7.52: W7 SP1 is required, though I configured wine to pretend it's windows 10. Any news on this ?

Cheers,

Stéphane

User avatar
dimesio
Moderator
Moderator
Posts: 12948
Joined: Tue Mar 25, 2008 10:30 pm

Re: Studio One 3 says it requires Windows 7

Post by dimesio » Sun Oct 18, 2015 12:43 pm


Locked